# Delete template by name

Delete template that matches the name.

      If message templates with the same name exists in multiple languages, all those templates will also be deleted.      
      Once deleted the name can not be used for new message templates for 30 days. Use a different name to create future templates during that time period.
      Messages that have been sent with the deleted template, but not yet delivered, will be attempted to be deliver for 30 days from the time of the message.

Endpoint: DELETE /v1/projects/{projectId}/whatsapp/templates/{templateName}
Version: 1.2.91
Security: BasicAuth, BearerAuth, OAuth2Production

## Path parameters:

  - `projectId` (string, required)
    The unique ID of the project. You can find this on the Sinch Dashboard.

  - `templateName` (string, required)
    The unique name of the template.

## Response 400 fields (application/json):

  - `body` (ProjectNotInitializedErrorTitle (object) or TemplateInvalidLanguageCodeErrorTitle (object)) — one of:
    - ProjectNotInitializedErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "project_not_initialized"
      - `message` (string)
        Human readable message.
        Example: "Project not initialized for WhatsApp."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "Verify that the project ID is correct and that it has been onboarded for WhatsApp."
    - TemplateInvalidLanguageCodeErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "template_invalid_language_code"
      - `message` (string)
        Human readable message.
        Example: "Invalid language code."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "Verify that the language code used is supported by the Provisioning API and WhatsApp."
      - `additionalInformation` (object)
        Additional information for error.
        Example: {"supportedCodes":"AF, AR, AZ, BG, BN, CA, CS, DA, DE, EL, EN, EN_GB, EN_US, ES, ES_AR, ES_ES, ES_MX, ES_UY, ET, FA, FI, FIL, FR, GA, GU, HA, HE, HI, HR, HU, ID, IT, JA, KA, KK, KN, KO, KY_KG, LO, LT, LV, MK, ML, MR, MS, NB, NL, PA, PL, PT_BR, PT_PT, RO, RU, RW_RW, SK, SL, SQ, SR, SV, SW, TA, TE, TH, TR, UK, UR, UZ, VI, ZH_CN, ZH_HK, ZH_TW, ZU"}

## Response 401 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: "unauthorized_error"

  - `message` (string)
    Human readable message.
    Example: "Unauthorized error."

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: "Verify that projectId is correct."

## Response 404 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: "template_not_found"

  - `message` (string)
    Human readable message.
    Example: "Template not found."

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: "Verify that the parameters are correct."

## Response 429 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: "whatsapp_business_api_request_limit_exceeded"

  - `message` (string)
    Human readable message.
    Example: "WhatsApp business api request limit reached."

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: "WhatsApp business API request limits reached. Please try again later."

## Response 500 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: "internal_error"

  - `message` (string)
    Human readable message.
    Example: "Internal server error."

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: "Please wait and try again, if the error persist please contact support."


## Response 204 fields
